﻿package
{
	import flash.display.*;
	import flash.filters.*;
	import flash.geom.*;
	import flash.utils.*;
	import flash.events.*;
	
	import org.papervision3d.objects.Sphere;
	import org.papervision3d.materials.WireframeMaterial;
	import org.papervision3d.cameras.Camera3D;
	import org.papervision3d.scenes.MovieScene3D;
	import org.papervision3d.materials.BitmapFileMaterial;

	
	
	
	[SWF(width='400',height='400',backgroundColor='0x000000',frameRate='30')]
	
	public class sphere extends Sprite
	{
		private var container:Sprite ;
		private var scene:MovieScene3D;
		private var sphere1:Sphere;
		private var camera:Camera3D;
		private var  material:BitmapFileMaterial;

		
		public function sphere()
		{
			container= new Sprite;
			container.x=200;
			container.y=200;
			addChild(container);
			
			scene=new MovieScene3D(container);

			
			camera= new Camera3D;
			stage.addEventListener(MouseEvent.MOUSE_OVER ,onClick)
						
			camera.z=-500;
			
			material = new BitmapFileMaterial("earth.jpg"); 
			material.smooth = true;		
			//material.lineAlpha = 1; 
			//material.lineColor = 0xFF8C00;


			
			sphere1= new Sphere(material,175, 35,35);
			scene.addChild(sphere1);
			
			var filter:Array = new Array();
 		  	filter.push(new GlowFilter(0xFFFFFF, 0.5, 20,20, 2, BitmapFilterQuality.HIGH, false, false));
 		  	filter.push(new GlowFilter(0xFFFFFF, 1, 40, 40, 2, BitmapFilterQuality.HIGH, true, false));
			sphere1.container.filters = filter;
			stage.addEventListener(Event.ENTER_FRAME , onFrameEnter);
						
		}
		
		private function onFrameEnter(event:Event):void
		{
			var xDist:Number = mouseX - stage.stageWidth * 0.5;
			var yDist:Number = mouseY - stage.stageHeight * 0.5;
			sphere1.rotationY += xDist * 0.01;
			sphere1.rotationX += -yDist * 0.02;
			scene.renderCamera( camera );
		}
		
		private function onClick(event:MouseEvent):void
		{
			var i:Number =0;
			if(MouseEvent.CLICK ==true)
			{
			camera.zoom=i++;
			
			i+=1;
			sphere1.scale=1.5;
			
			}
			else
			{
				camera.zoom=6;
				sphere1.scale=1.02;
			}
			trace(" i :- "+ i);
		}
		
		
	
}
}